Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.Slerp.

# __call__

Slerp.__call__(times)

  Interpolate rotations.

  Compute the interpolated rotations at the given times.

  Parameters:
    times array_like

      Times to compute the interpolations at. Can be a scalar or 1-dimensional.

  Returns:
    interpolated_rotation `Rotation` instance

      Object containing the rotations computed at given times.

  Notes

  Array API Standard Support

  `__call__` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ✅
  JAX | ✅ | ✅
  Dask | ✅ | n/a

  > See Support for the array API standard for more information.